


// Includes definitions relevant to the peripherals embedded in the digital signal controller.
#include "F2806x_Device.h"

#include "constants.h"

#include "hardware_interface.h"




// Definition of external functions. The bodies of the functions are in another file
extern int Initialize_the_Clocks(void);
extern int Initialize_the_GPIO(void);
extern int Initialize_the_Timer0(int);
extern int Enable_the_Peripherals(void);
extern int Manage_LEDs(int, int);

// Global variables are defined outside any function.
int Contatore=0;


// The program execution by default starts from the function called "main"
int main(void){

    int Rosso=0;

    Enable_the_Peripherals();
    Initialize_the_Timer0(10);
    Initialize_the_Clocks();
    Initialize_the_GPIO();

    ATTIVA_IL_TIMER0;

    while (1) {

        if(TIMER0_SCADUTO){

            RESETTA_IL_TIMER0;


            if(BOTTONE_PREMUTO){
                ACCENDI_ROSSO;
                SPEGNI_BLU;
            }
            else{
                SPEGNI_ROSSO;
                ACCENDI_BLU;
            }

            if(Rosso==0){
                Manage_LEDs(TURN_ON,RED);
                Manage_LEDs(TURN_OFF,BLUE);
                Rosso=1;
            }
            else{
                Manage_LEDs(TURN_OFF,RED);
                Manage_LEDs(TURN_ON,BLUE);
                Rosso=0;
            }

        }


    }
}
